/**
 * Analytics Events Feature
 *
 * Used for Meta CAPI integration and Meta Pixel client-side tracking.
 */
import { Feature } from './Feature';
export interface AnalyticsEventsFeatureOptions {
    hotelId?: string;
    currency?: string;
    metaPixelId?: string;
    firePixelEvents?: boolean;
    debug?: boolean;
}
declare class AnalyticsEventsFeature extends Feature<AnalyticsEventsFeatureOptions> {
    private options;
    constructor();
    getOptions(): AnalyticsEventsFeatureOptions;
    protected onLoad(options?: AnalyticsEventsFeatureOptions): void;
    private loadMetaPixel;
    protected onUnLoad(): void;
}
declare const _default: AnalyticsEventsFeature;
export default _default;
